library(bnlearn)
library(beepr)

data = read.csv("file:///E:/Dataset/Binary Case Control/BmergedCleanCaseControl.csv")
n = 25 #How many variables will be used
dataCut = data[1:n] #Preping dataset

hc_bn_df = data.frame(dataCut) #Making Dataframe
hc_bn_df[3] = lapply(hc_bn_df[3], as.numeric) #Turning age into numeric
hc_bn_df[4:n] = lapply(hc_bn_df[4:n], as.factor) #Turning gliblastoma into 2 level factor

#Creating Bayesian Network and timing
i = 0
while(i<3){
start_time = Sys.time()
hcNetwork = hc(hc_bn_df)
end_time = Sys.time()
print(end_time - start_time)
print(score(hcNetwork, hc_bn_df)) #Prints score of network
i = i+1
}
beep(1) #Makes noise to say its done. 

#Look at Bayesian Network
print(hcNetwork)
plot(hcNetwork)


#Print Conditionals
fit = bn.fit(hcNetwork, hc_bn_df)
print(fit)

