library(bnlearn)
library(beepr)

data = read.csv("file:///E:/Dataset/Binary Case Control/BmergedCleanCaseControl.csv")
n = 25 #How many variables will be used
dataCut = data[1:n] #Preping dataset

mmhc_bn_df = data.frame(dataCut) #Making Dataframe
mmhc_bn_df[3] = lapply(mmhc_bn_df[3], as.numeric) #Turning age into numeric
mmhc_bn_df[4:n] = lapply(mmhc_bn_df[4:n], as.factor) #Turning gliblastoma into 2 level factor

#Creating Bayesian Network and timing
i = 0
while(i<3){
  start_time = Sys.time()
  mmhcNetwork = mmhc(mmhc_bn_df)
  end_time = Sys.time()
  print(end_time - start_time)
  print(score(mmhcNetwork, mmhc_bn_df)) #Prints score of network
  i = i+1
}
beep(1) #Makes noise to say its done. 

#Look at Bayesian Network
print(mmhcNetwork)
plot(mmhcNetwork)


#Print Conditionals
fit = bn.fit(mmhcNetwork, mmhc_bn_df)
print(fit)

