library(bnlearn)
library(beepr)

data = read.csv("file:///E:/Dataset/Binary Case Control/BmergedCleanCaseControl.csv")
n = 1600 #How many variables will be used
dataCut = data[1:n] #Preping dataset

gs_bn_df = data.frame(dataCut) #Making Dataframe
gs_bn_df[3] = lapply(gs_bn_df[3], as.numeric) #Turning age into numeric
gs_bn_df[4:n] = lapply(gs_bn_df[4:n], as.factor) #Turning gliblastoma into 2 level factor

#Creating Bayesian Network and timing
i = 0
while(i<3){
  start_time = Sys.time()
  gsNetwork = gs(gs_bn_df, undirected = FALSE) #Creates the network
  end_time = Sys.time()
  print(end_time - start_time)
  i = i+1
}
beep(1) #Makes noise to say its done. 

#Need to orient arcs
arcs(gsNetwork)
gsNetwork = drop.edge(gsNetwork, "X", "gender")
gsNetwork = set.arc(gsNetwork, "TFB2M", "USP2")
gsNetwork = set.arc(gsNetwork, "PLD1", "ICMT")
gsNetwork = set.arc(gsNetwork, "NR3C1", "NR3C1.1")
gsNetwork = set.arc(gsNetwork, "HFE", "HFE.1")
gsNetwork = set.arc(gsNetwork, "JUND", "JUND.1")
gsNetwork = set.arc(gsNetwork, "CEACAM1", "CEACAM1.1")
print(score(gsNetwork, gs_bn_df)) #Prints score of network

#Look at Bayesian Network
print(gsNetwork)
plot(gsNetwork)


#Print Conditionals
fit = bn.fit(gsNetwork, gs_bn_df)
print(fit)
